List all Prices
List all Prices
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Query Parameters
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Sort order. Default: DESC (descending, most often used for reverse chronological sorting).
Filter by currency.
Filter by name.
Filter by billing frequency.
Filter by product ID.
Response
OK
Prices
[
{
"id": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
"productId": "d07037d5-3e31-4c3a-a360-e58555e2bf44",
"name": "Demo Product",
"currency": "GBP",
"structure": {
"tiers": [
{
"upperBound": "200",
"price": "1.00",
"fee": "50.00",
"isPricePercentage": false
},
{
"upperBound": "400",
"price": "0.75",
"fee": "25.00",
"isPricePercentage": false
},
{
"price": "0.50",
"fee": "0.00",
"isPricePercentage": false
}
],
"usageMetricId": "04c62961-04ba-48e6-b985-758bb7d3e712",
"usageCalculationMode": "BILLING_PERIOD",
"pricingType": "GRADUATED"
},
"billingFrequency": "MONTHLY",
"billingType": "IN_ARREARS",
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z",
"integrationIds": [
{
"service": "Xero",
"id": "123",
"isPending": false
}
],
"customMetricParameters": [
{
"parameterId": "94703530-1293-479b-bd37-ccad42fd9c8b",
"value": "10"
}
],
"listPriceId": "b4d7e884-e007-4183-8355-4771865c5100",
"usageCalculationPeriod": { "frequency": "MONTHLY", "interval": 1 },
"status": "ACTIVE"
}
]Results pagination
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}